org.apache.sysds.runtime.compress.utils

## Class DblArrayIntListHashMap

- java.lang.Object
- - org.apache.sysds.runtime.compress.utils.CustomHashMap
  - - org.apache.sysds.runtime.compress.utils.DblArrayIntListHashMap

    public class DblArrayIntListHashMap
    extends CustomHashMap

This class provides a memory-efficient replacement for `HashMap<DblArray,IntArrayList>` for restricted use cases.

### Nested Class Summary

Nested Classes
`class` `DblArrayIntListHashMap.DArrayIListEntry`

### Field Summary

Fields
`static int` `hashMissCount`

### Constructor Summary

Constructors
Constructor and Description
`DblArrayIntListHashMap()`
`DblArrayIntListHashMap(int init_capacity)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `appendValue(DblArray key, int value)`
`void` `appendValue(DblArray key, IntArrayList value)`
`ArrayList<DblArrayIntListHashMap.DArrayIListEntry>` `extractValues()`
`IntArrayList` `get(DblArray key)`
`String` `toString()`

### Methods inherited from class org.apache.sysds.runtime.compress.utils.CustomHashMap

`joinHashMap, joinHashMaps, size`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### hashMissCount

    public static int hashMissCount

### Constructor Detail

#### DblArrayIntListHashMap

    public DblArrayIntListHashMap()

#### DblArrayIntListHashMap

    public DblArrayIntListHashMap(int init_capacity)

### Method Detail

#### get

    public IntArrayList get(DblArray key)

#### appendValue

    public void appendValue(DblArray key,
                            IntArrayList value)

#### appendValue

    public void appendValue(DblArray key,
                            int value)

#### extractValues

    public ArrayList<DblArrayIntListHashMap.DArrayIListEntry> extractValues()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`